
	id ZZ(i1?,i2?,i3?,[c],i4?,i5?,i6?,[c],i7?,[c],i8?) =
       + g1(i1,i2)*g1(i2,i3)*g1(i4,i5)*g1(i5,i6)
          + g1(i1,i2)*g1(i2,i3)*g2(i4,i5)
          - g1(i1,i2)*g1(i2,i3)*g2(i4,i6)
          + g1(i1,i2)*g1(i2,i3)*g2(i5,i6)
          + g1(i1,i2)*g1(i4,i5)*g2(i2,i4)
          - g1(i1,i2)*g1(i4,i5)*g2(i2,i6)
          - g1(i1,i2)*g1(i4,i5)*g2(i3,i4)
          + g1(i1,i2)*g1(i4,i5)*g2(i3,i6)
          - g1(i1,i2)*g1(i4,i6)*g2(i2,i4)
          + g1(i1,i2)*g1(i4,i6)*g2(i2,i6)
          + g1(i1,i2)*g1(i4,i6)*g2(i3,i4)
          - g1(i1,i2)*g1(i4,i6)*g2(i3,i6)
          + g1(i1,i2)*g1(i5,i6)*g2(i2,i4)
          - g1(i1,i2)*g1(i5,i6)*g2(i2,i6)
          - g1(i1,i2)*g1(i5,i6)*g2(i3,i4)
          + g1(i1,i2)*g1(i5,i6)*g2(i3,i6)
          + g1(i2,i3)*g1(i4,i5)*g2(i1,i4)
          - g1(i2,i3)*g1(i4,i5)*g2(i1,i6)
          - g1(i2,i3)*g1(i4,i5)*g2(i3,i4)
          + g1(i2,i3)*g1(i4,i5)*g2(i3,i6)
          - g1(i2,i3)*g1(i4,i6)*g2(i1,i4)
          + g1(i2,i3)*g1(i4,i6)*g2(i1,i6)
          + g1(i2,i3)*g1(i4,i6)*g2(i3,i4)
          - g1(i2,i3)*g1(i4,i6)*g2(i3,i6)
          + g1(i2,i3)*g1(i5,i6)*g2(i1,i4)
          - g1(i2,i3)*g1(i5,i6)*g2(i1,i6)
          - g1(i2,i3)*g1(i5,i6)*g2(i3,i4)
          + g1(i2,i3)*g1(i5,i6)*g2(i3,i6)
          - g1(i2,i4)*g1(i2,i5)*g2(i1,i4)
          + g1(i2,i4)*g1(i2,i6)*g2(i1,i4)
          + g1(i2,i4)*g1(i2,i6)*g2(i1,i6)
          + g1(i2,i4)*g1(i4,i5)*g2(i1,i2)
          - g1(i2,i4)*g1(i4,i6)*g2(i1,i2)
          - g1(i2,i4)*g1(i4,i6)*g2(i1,i6)
          + g1(i2,i4)*g1(i5,i6)*g2(i1,i2)
          - g1(i2,i4)*g1(i5,i6)*g2(i1,i4)
          - g1(i2,i5)*g1(i2,i6)*g2(i1,i6)
          - g1(i2,i5)*g1(i4,i5)*g2(i1,i4)
          + g1(i2,i5)*g1(i5,i6)*g2(i1,i6)
          - g1(i2,i6)*g1(i4,i5)*g2(i1,i2)
          + g1(i2,i6)*g1(i4,i5)*g2(i1,i6)
          + g1(i2,i6)*g1(i4,i6)*g2(i1,i2)
          + g1(i2,i6)*g1(i4,i6)*g2(i1,i4)
          - g1(i2,i6)*g1(i5,i6)*g2(i1,i2)
          + g1(i3,i4)*g1(i3,i5)*g2(i1,i4)
          - g1(i3,i4)*g1(i3,i6)*g2(i1,i4)
          - g1(i3,i4)*g1(i3,i6)*g2(i1,i6)
          - g1(i3,i4)*g1(i4,i5)*g2(i1,i3)
          + g1(i3,i4)*g1(i4,i6)*g2(i1,i3)
          + g1(i3,i4)*g1(i4,i6)*g2(i1,i6)
          - g1(i3,i4)*g1(i5,i6)*g2(i1,i3)
          + g1(i3,i4)*g1(i5,i6)*g2(i1,i4)
          + g1(i3,i5)*g1(i3,i6)*g2(i1,i6)
          + g1(i3,i5)*g1(i4,i5)*g2(i1,i4)
          - g1(i3,i5)*g1(i5,i6)*g2(i1,i6)
          + g1(i3,i6)*g1(i4,i5)*g2(i1,i3)
          - g1(i3,i6)*g1(i4,i5)*g2(i1,i6)
          - g1(i3,i6)*g1(i4,i6)*g2(i1,i3)
          - g1(i3,i6)*g1(i4,i6)*g2(i1,i4)
          + g1(i3,i6)*g1(i5,i6)*g2(i1,i3)
          + g1(i4,i5)*g1(i5,i6)*g2(i1,i2)
          - g1(i4,i5)*g1(i5,i6)*g2(i1,i3)
          + g1(i4,i5)*g1(i5,i6)*g2(i2,i3)
          + g1(i4,i5)*g3(i2,i4)
          - g1(i4,i5)*g3(i2,i6)
          - g1(i4,i5)*g3(i3,i4)
          + g1(i4,i5)*g3(i3,i6)
          - g1(i4,i6)*g3(i2,i4)
          + g1(i4,i6)*g3(i2,i6)
          + g1(i4,i6)*g3(i3,i4)
          - g1(i4,i6)*g3(i3,i6)
          + g1(i5,i6)*g3(i2,i4)
          - g1(i5,i6)*g3(i2,i6)
          - g1(i5,i6)*g3(i3,i4)
          + g1(i5,i6)*g3(i3,i6)
          + g2(i1,i2)*g2(i4,i5)
          - g2(i1,i2)*g2(i4,i6)
          + g2(i1,i2)*g2(i5,i6)
          - g2(i1,i3)*g2(i4,i5)
          + g2(i1,i3)*g2(i4,i6)
          - g2(i1,i3)*g2(i5,i6)
          + g2(i1,i4)*g2(i2,i5)
          - g2(i1,i4)*g2(i2,i6)
          - g2(i1,i4)*g2(i3,i5)
          + g2(i1,i4)*g2(i3,i6)
          - g2(i1,i6)*g2(i2,i4)
          + g2(i1,i6)*g2(i2,i5)
          + g2(i1,i6)*g2(i3,i4)
          - g2(i1,i6)*g2(i3,i5)
          + g2(i2,i3)*g2(i4,i5)
          - g2(i2,i3)*g2(i4,i6)
          + g2(i2,i3)*g2(i5,i6)
         ;


